Ubuntu – GNU/Linux Ubuntu 20.04.1 – linux-image-5.4.0-56-generic – linux-headers-5.4.0-56-generic breaks AMDGPU drivers

amdgpucompilingdriverskernel

I have the same problem on two computers.

Latest kernel pushed in the updates – linux-headers-5.4.56-generic breaks AMDGPU drivers compilation.

amdgpu-dkms failed each time. If i rollback to previous kernel, it compiles properly.

Am i missing something? Does AMDGPU not support this kernel version?

Best Answer

Good news is even AMD has acknowledged the issue, they even added the problem in their release notes of their latest GNU/Linux drivers, they advised to do not upgrade to this kernel as AMDGPU needs amdgpu-dkms in order to work properly. They are working with the GNU/Linux Ubuntu devs to understand what happened and hopefully fix the issue in the near future. More info here in the known issues section: https://www.amd.com/en/support/kb/release-notes/rn-amdgpu-unified-linux-20-45